Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.webapp
Class TagLibConfiguration

    java.lang.Object
      org.mortbay.jetty.webapp.TagLibConfiguration

All Implemented Interfaces:
  Serializable, Configuration

Direct Known Subclasses:
  Jetty6MavenTagLibConfiguration

    public class TagLibConfiguration

extends Object
implements Configuration

TagLibConfiguration. The class searches for TLD descriptors found in web.xml, in WEB-INF/*.tld files of the web app or *.tld files withing jars found in WEB-INF/lib of the webapp. Any listeners defined in these tld's are added to the context. <bile>This is total rubbish special case for JSPs! If there was a general use-case for web app frameworks to register listeners directly, then a generic mechanism could have been added to the servlet spec. Instead some special purpose JSP support is required that breaks all sorts of encapsualtion rules as the servlet container must go searching for and then parsing the descriptors for one particular framework. It only appears to be used by JSF, which is being developed by the same developer who implemented this feature in the first place! </bile>

Author:
  gregw
See Also:
  Serialized Form

Constructor Summary
`TagLibConfiguration()`

Method Summary
`void` | `configureClassLoader()` Configure ClassPath.
`void` | `configureDefaults()` Configure Defaults.
`void` | `configureWebApp()` Configure WebApp.
`void` | `deconfigureWebApp()` DeConfigure WebApp.
`protected List` | `getJarResourceList()`
`protected List` | `getServerJarResourceList()`
`String[]` | `getServerTagLibClasses()`
`WebAppContext` | `getWebAppContext()` Get the context on which the configuration is performed.
`void` | `setServerTagLibClasses(String[] serverTagLibClasses)`
`void` | `setWebAppContext(WebAppContext context)` Set up a context on which to perform the configuration.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TagLibConfiguration

    public TagLibConfiguration()

Method Detail

### setWebAppContext

    public void setWebAppContext(WebAppContext context)

  Description copied from interface: `Configuration`
  Set up a context on which to perform the configuration.

  Specified by:
    `setWebAppContext` in interface `Configuration`

### getWebAppContext

    public WebAppContext getWebAppContext()

  Description copied from interface: `Configuration`
  Get the context on which the configuration is performed.

  Specified by:
    `getWebAppContext` in interface `Configuration`

### configureClassLoader

    public void configureClassLoader()
                              throws Exception

  Description copied from interface: `Configuration`
  Configure ClassPath. This method is called to configure the context ClassLoader. It is called just after a new WebAppClassLoader is constructed and before it has been used. Class paths may be added, options changed or the loader totally replaced.

  Specified by:
    `configureClassLoader` in interface `Configuration`
  Throws:
    `Exception`

### configureDefaults

    public void configureDefaults()
                           throws Exception

  Description copied from interface: `Configuration`
  Configure Defaults. This method is called to intialize the context to the containers default configuration. Typically this would mean application of the webdefault.xml file.

  Specified by:
    `configureDefaults` in interface `Configuration`
  Throws:
    `Exception`

### getJarResourceList

    protected List getJarResourceList()
                               throws MalformedURLException,
                                      IOException

  Returns:
    List of `Resource`s for jar files in which to search for TLDs
  Throws:
    `IOException`
    `MalformedURLException`

### getServerJarResourceList

    protected List getServerJarResourceList()
                                     throws MalformedURLException,
                                            IOException

  Throws:
    `MalformedURLException`
    `IOException`

### configureWebApp

    public void configureWebApp()
                         throws Exception

  Description copied from interface: `Configuration`
  Configure WebApp. This method is called to apply the standard and vendor deployment descriptors. Typically this is web.xml and jetty-web.xml.

  Specified by:
    `configureWebApp` in interface `Configuration`
  Throws:
    `Exception`

### deconfigureWebApp

    public void deconfigureWebApp()
                           throws Exception

  Description copied from interface: `Configuration`
  DeConfigure WebApp. This method is called to undo all configuration done to this webapphandler. This is called to allow the context to work correctly over a stop/start cycle

  Specified by:
    `deconfigureWebApp` in interface `Configuration`
  Throws:
    `Exception`

### getServerTagLibClasses

    public String[] getServerTagLibClasses()

  Returns:

### setServerTagLibClasses

    public void setServerTagLibClasses(String[] serverTagLibClasses)

  Parameters:
    `serverTagLibClasses` - An array of class names. The jars that these classes are loaded from will be examined for TLD files (even if these jars are on the server or system classpath).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.